<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="deleteTestLinkForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteTestConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>
            <h:outputText id="deleteTestLink"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteTestConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.deleteLinkedTest()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteTestConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>
    <h:form id="deleteTestStepLinkForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteTestStepConfirmationModalPanel"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}
            </ui:define>

            <h:outputText id="deleteTestStepLink"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteTestStepConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.deleteLinkedTestStep()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteTestStepConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteRuleLinkForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteRuleConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>
            <h:outputText id="deleteRuleLink"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteRuleConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.deleteLinkedRule()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteRuleConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteActorForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteActorConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>
            <h:outputText id="deleteActor"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteActorConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.deleteLinkedActor()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteActorConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteTransactionForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteTransactionConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>
            <h:outputText id="deleteTransaction"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>
            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteTransactionConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}"
                                 action="#{assertionManager.deleteLinkedTransaction()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteTransactionConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteAipoForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteAipoConfirmationModalPanel"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}
            </ui:define>

            <h:outputText id="deleteAipo"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteAipoConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.deleteLinkedAipo()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteAipoConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteStandardForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteStandardConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>
            <h:outputText id="deleteStandard"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteStandardConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.deleteLinkedStandard()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteStandardConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteIntegrationProfileForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteIntegrationProfileConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>

            <h:outputText id="deleteIntegrationProfile"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteIntegrationProfileConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}"
                                 action="#{assertionManager.deleteLinkedIntegrationProfile()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteIntegrationProfileConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteAuditMessageForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteAuditMessageConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>
            <h:outputText id="deleteAuditMessage"
                          value="#{messages['net.ihe.gazelle.tm.PleaseConfirmThatYouWantToDeleteTheLink']}"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteAuditMessageConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}"
                                 action="#{assertionManager.deleteLinkedAuditMessage()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteAuditMessageConfirmationModalPanel').modal('hide');"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="deleteAssertionForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="DeleteAssertionConfirmationModalPanel"/>
            <ui:define name="popup_title">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
            </ui:define>

            <h:outputText id="currentAssertion_DeleteOutputText"
                          value="#{messages['net.ihe.gazelle.assertion-manager.DoYouReallyWantToDeleteThisAssertion']} #{assertionManager.getAssertionToDelete().getAssertionId()}?"/>

            <ui:define name="popup_footer">
                <h:commandButton value="#{messages['users.Cancel']}"
                                 styleClass="gzl-btn"
                                 onclick="jq162('#DeleteAssertionConfirmationModalPanel').modal('hide');"/>
                <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.delete()}"
                                 styleClass="gzl-btn-red" render="assertionFrom"
                                 onclick="jq162('#DeleteAssertionConfirmationModalPanel').modal('hide');"/>

            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
